# Uses of Interface
org.apache.lucene.util.bkd.PointWriter

Packages that use PointWriter
Package
Description
org.apache.lucene.util.bkd
Block KD-tree, implementing the generic spatial data structure described in this paper.

- ## Uses of PointWriter in org.apache.lucene.util.bkd

  Classes in org.apache.lucene.util.bkd that implement PointWriter
  Modifier and Type
  Class
  Description
  `final class`
  `HeapPointWriter`
  Utility class to write new points into in-heap arrays.
  `final class`
  `OfflinePointWriter`
  Writes points to disk in a fixed-with format.
  Methods in org.apache.lucene.util.bkd that return PointWriter
  Modifier and Type
  Method
  Description
  `PointWriter`
  BKDRadixSelector.PathSlice.`writer()`
  Returns the value of the `writer` record component.
  Constructors in org.apache.lucene.util.bkd with parameters of type PointWriter
  Modifier
  Constructor
  Description
  ``
  `PathSlice(PointWriter writer, long start, long count)`
  Creates an instance of a `PathSlice` record class.